# node
  tdarr-node:
    container_name: tdarr-node
    image: ghcr.io/haveagitgat/tdarr_node:latest
    restart: unless-stopped
    network_mode: service:tdarr
    environment:
      - TZ=${timezone}
      - PUID=${PUID}
      - PGID=${PGID}
      - UMASK_SET=002
      - nodeName=MyExternalNode
      - serverIP=192.168.1.22
      - serverPort=8266
      - inContainer=true
      #aixo em sembla que no
      - NVIDIA_DRIVER_CAPABILITIES=all
      - NVIDIA_VISIBLE_DEVICES=all
      #aixo ho diuen a reddit per a ds920+
      #- LIBVA_DRIVER_NAME=i965
      #- LIBVA_DRIVERS_PATH=/usr/lib/x86_64-linux-gnu/dri/

    volumes:
      - ./configs:/app/configs
      - ./logs:/app/logs
      - ${DOCKERSTORAGEDIR}/media:/media
      - ${SDSTORAGEDIR}/tdarr_temp:/temp

    devices:
      - /dev/dri:/dev/dri
    
    deploy:
      resources:
        reservations:
          devices:
          - driver: nvidia
            count: all
            capabilities: [gpu]